Announcement

Collapse
No announcement yet.

I have been hacked. Need assistance in resolving issues

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • I have been hacked. Need assistance in resolving issues

    Ok, I figured out what my hacking friend did to me this past week. Looks like he ran the upgrade scripts. Specifically, the upgrade14.php. What did this do to my DB and how do I get back into operation?

    The hacker in question came through the links here, so if this site is interested in obtaining the IP for this guy, I would be happy to provide it to you along with the logs of what he did by PM or email.

    Do I have any recourse on this punk? Although this is a secondary issue as I want to get my Db straight and the board functional again. I thought that I had .htaccessed my admin forum, but I guess not--

  • #2
    Do you have a backup of your database prior to this attempt? What problems are you having on your board?

    Also you should remove all upgrade scripts from your admin directory and htaccess protect it as well:

    .htaccess guide
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      Originally posted by Steve Machol
      Do you have a backup of your database prior to this attempt? What problems are you having on your board?

      Also you should remove all upgrade scripts from your admin directory and htaccess protect it as well:

      .htaccess guide
      Yes, I do have a backup of the DB from before the attempt. However, if possible, I would like to preserve the posts and data that were made up to the point I took the board down. What I am seeing is some flakiness and at the bottom of each page, the version reported is 2.2.1 instead of 2.2.9. Also in the admnin CP, it is telling me that a newer version is available from this site. The right pane of the admin CP also comes up sporadically.

      I was thinking that I could upgrade to 2.3.0 and perhaps use the upgrade scripts to update the tables sequentially until I get to the 2.3.0 level?

      TRUST me, I will have .htaccess correct from here on out--had a typo in the name just as the guide you suggested warned about!

      Comment


      • #4
        Try running this AND ONLY THIS:

        upgrade23.php&step=3

        Obviously you need to use the URL to your admin directory.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Do you have a generic htaccess file I could use?

          Comment


          • #6
            Originally posted by CreepingDeath
            Do you have a generic htaccess file I could use?
            Did you reply to the wrong thread?
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Originally posted by Steve Machol
              Did you reply to the wrong thread?
              No. I saw the notice about the htaccess file and if it helps me from being hacked, that'd be cool! I don't have adult material or password protected areas, but it'd be nice to stop people from stealing my bandwidth if I can.

              Comment


              • #8
                As posted here is a resource for htaccess:

                http://www.webmastersguide.com/htacc...i/htaccess.htm
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment


                • #9
                  Originally posted by Steve Machol
                  As posted here is a resource for htaccess:

                  http://www.webmastersguide.com/htac...gi/htaccess.htm
                  Saw that but I don't have adult material or anything and I am not a web guru so I have no clue how to write or set up that file. I am a nOOb when it comes to UNIX stuff.

                  Comment


                  • #10
                    This isn't just for adult sites.

                    Try this one:

                    http://www.freewebmasterhelp.com/tutorials/htaccess/3
                    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                    Change CKEditor Colors to Match Style (for 4.1.4 and above)

                    Steve Machol Photography


                    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                    Comment

                    Related Topics

                    Collapse

                    Working...
                    X